Subject: bug#75793: closed (Re: [PATCH] Remove leading '*' from docstrings in cc-vars.el)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 07 Feb 2025 21:32:02 +0000

Your bug report

#75793: [PATCH] Remove leading '*' from docstrings in cc-vars.el

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75793: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75793
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] Remove leading '*' from docstrings in cc-vars.el
From: Stefan Kangas <[email-masked]>
To: Alan Mackenzie <[email-masked]>
Cc: [email-masked]
Date: Fri, 7 Feb 2025 13:31:01 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 31.1

Alan Mackenzie <[email-masked]> writes:

> Yes indeed.  Most of these have already been removed from CC Mode in
> Emacs, just that last one had a line continuation to confound grep.
>
> In stand alone CC Mode, there are still 47 such asterisks, which I'll
> get rid of sometime.

Thanks, so I pushed this to Emacs master (commit 93206cbcea3).

I'm therefore closing this bug report.

Subject: [PATCH] Remove leading '*' from docstrings in cc-vars.el
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Cc: Alan Mackenzie <[email-masked]>
Date: Thu, 23 Jan 2025 16:56:33 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: wishlist

Hi Alan,

Please find attached a minor cleanup that removes a leading '*'
character from some docstrings in CC Mode.  AFAIU, this is the '*' that
we used to have for user-variable docstrings.

I'm not sure if this list is still the preferred way to send CC Mode bug
reports, so please let me know if you prefer anything else.

Thanks!
From a170459b4a5a6531415efe1492474834b465c52c Mon Sep 17 00:00:00 2001
From: Stefan Kangas <[email-masked]>
Date: Thu, 23 Jan 2025 23:49:52 +0100
Subject: [PATCH] Remove leading '*' from docstrings in cc-vars.el

* lisp/progmodes/cc-vars.el (c-make-font-lock-extra-types-blurb):
Remove leading '*' from generated docstrings.
---
 lisp/progmodes/cc-vars.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/progmodes/cc-vars.el b/lisp/progmodes/cc-vars.el
index 3c386eb07e9..0687801d69f 100644
--- a/lisp/progmodes/cc-vars.el
+++ b/lisp/progmodes/cc-vars.el
@@ -1566,7 +1566,7 @@ 'c-extra-types-widget
 
 (defun c-make-font-lock-extra-types-blurb (mode1 mode2 example)
   (concat "\
-*List of extra types (aside from the type keywords) to recognize in "
+List of extra types (aside from the type keywords) to recognize in "
 mode1 " mode.
 Each list item should be a regexp matching a single identifier.
 " example "
-- 
2.48.1